Package org.lwjgl.opengl

# Class ARBGetProgramBinary

java.lang.Object
org.lwjgl.opengl.ARBGetProgramBinary

public final class ARBGetProgramBinary extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_NUM_PROGRAM_BINARY_FORMATS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:
`static final int`
`GL_PROGRAM_BINARY_FORMATS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:
`static final int`
`GL_PROGRAM_BINARY_LENGTH`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_PROGRAM_BINARY_RETRIEVABLE_HINT`
Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetProgramBinary(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)`
`static void`
`glProgramBinary(int program, int binaryFormat, ByteBuffer binary)`
`static void`
`glProgramParameteri(int program, int pname, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PROGRAM_BINARY_RETRIEVABLE_HINT

public static final int GL_PROGRAM_BINARY_RETRIEVABLE_HINT
Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_LENGTH

public static final int GL_PROGRAM_BINARY_LENGTH
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_NUM_PROGRAM_BINARY_FORMATS

public static final int GL_NUM_PROGRAM_BINARY_FORMATS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_FORMATS

public static final int GL_PROGRAM_BINARY_FORMATS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glGetProgramBinary

public static void glGetProgramBinary(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)

### glProgramBinary

public static void glProgramBinary(int program, int binaryFormat, ByteBuffer binary)

### glProgramParameteri

public static void glProgramParameteri(int program, int pname, int value)